FUNCTION TEMPLATE(3)

NAME
boost::swap

SYNOPSIS

// In header: <boost/variant/variant.hpp>
template<typename T1, typename T2, ..., typename TN>
  void swap(variant<T1, T2, ..., TN> & lhs, variant<T1, T2, ..., TN> & rhs);

DESCRIPTION

Effects:
    Swaps lhs with rhs by application of variant::swap.

Throws:
    May fail with any exception arising from variant::swap.